Permalink
Browse files

name the gem consistently

  • Loading branch information...
1 parent 499afd3 commit 850c5fba79fb7d2ae1ee64822304da4b8be88986 @dnagir committed Nov 17, 2011
View
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- knockout (0.0.1)
+ knockout-rails (0.0.1)
execjs
jquery-rails
sprockets (>= 2.0.0)
@@ -124,7 +124,7 @@ PLATFORMS
DEPENDENCIES
coffee-script
jquery-rails
- knockout!
+ knockout-rails!
pry
rails (>= 3.1.1)
rspec
@@ -1,17 +1,17 @@
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
-require "knockout/version"
+require "knockout-rails/version"
Gem::Specification.new do |s|
- s.name = "knockout"
- s.version = Knockout::Version::VERSION
+ s.name = "knockout-rails"
+ s.version = KnockoutRails::VERSION
s.authors = ["Dmytrii Nagirniak"]
s.email = ["dnagir@gmail.com"]
- s.homepage = "http://github.com/dnagir/knockout"
+ s.homepage = "http://github.com/dnagir/knockout-rails"
s.summary = %q{Knockout.JS library for Rails Assets Pipeline with convenient Backbone/Spine-like Rails extensions.}
s.description = %q{Include the knockout.js and some of its extensions so you can pick what you need. Adds the support for models and interation with the Rails backend.}
- s.rubyforge_project = "knockout"
+ s.rubyforge_project = "knockout-rails"
s.add_dependency 'sprockets', '>= 2.0.0'
s.add_dependency 'execjs'
View
@@ -1,2 +1,5 @@
+require 'knockout-rails/version'
+require 'knockout-rails/engine'
+
module KnockoutRails
end
@@ -1,6 +1,6 @@
require 'rails'
-module Knockout
+module KnockoutRails
class Engine < Rails::Engine
end
end
View
@@ -1,6 +0,0 @@
-require 'rails'
-require 'knockout/railtie'
-require 'knockout/engine'
-
-module Knockout
-end
View
@@ -1,4 +0,0 @@
-module Knockout
- class Railtie < Rails::Railtie
- end
-end
View
@@ -1,5 +0,0 @@
-module Knockout
- module Version
- VERSION = "0.0.1"
- end
-end
@@ -1,6 +1,6 @@
require 'spec_helper'
-describe Knockout do
+describe KnockoutRails do
subject { assets }
it { should serve 'knockout' }

0 comments on commit 850c5fb

Please sign in to comment.